Subject: Re: bug#50629: 28.0.50; hard to debug an uncaught error with ert

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 26 Aug 2022 13:41:23 +0200

Mike Kupfer <[email-masked]> writes:

> Knowing that error "bar" was raised is helpful, but in a more realistic
> test scenario, it can take some time to figure out where the error was
> raised.  Setting debug-on-error to t doesn't help (does ert hijack the
> normal error handling mechanisms?).

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not that familiar with ert internals, but yes, I think that's
basically what ert does -- it hijacks the error/debug reporting system
to implement the `should' macros.

I've briefly poked at this now, but without any success in getting
better backtraces for actual errors (which would indeed be very nice to
have).

Anybody more familiar with ert.el know how this can be achieved?